/*******************************************************************************
  COPYRIGHT (C) 1995-2003 by Macrovision Corporation. This software has been
  provided pursuant to a License Agreement containing restrictions on its use.
  This software contains confidential information of Macrovision Corporation
  and is protected by copyright and other law.  It may not be copied or
  distributed in any form or medium, disclosed to third parties, reverse
  engineered or used in any manner not provided for in said License Agreement
  except with the prior written authorization from Macrovision Corporation.
*******************************************************************************/
/*	%Z% $RCSfile: vcg_error.h,v $:v%R%.%L%.%B%.%S%	*/

#ifndef	_VCG_ERROR_H_
#define	_VCG_ERROR_H_

/* General */
#ifndef	NULL
#define NULL (0L)
#endif

/* Status codes */
#define VCG_MAX_ERROR       0
#define VCG_SUCCESS         0
#define VCG_SYNTAXERR       -1
#define VCG_KEYERR          -2
#define VCG_INVKEY          -3
#define VCG_NOKEY           -4
#define VCG_AMBCOMMAND      -5
#define VCG_NOCOMMAND       -6
#define VCG_UNKCOMMAND      -7
#define VCG_INVKEYWORD      -8
#define VCG_REQKEYWORD      -9
#define VCG_UNKKEYWORD      -10
#define VCG_INVOPTION       -11
#define VCG_REQOPTIONS      -12
#define VCG_UNKOPTION       -13
#define VCG_NOVALUE         -14
#define VCG_INVVALUE        -15
#define VCG_BUFOVERFLOW     -16
#define VCG_INSCOUNT        -17
#define VCG_INVHOSTID       -18
#define VCG_INVSTATE        -19
#define VCG_MALLOCERR       -20
#define VCG_NOCOMPONENTS    -21
#define VCG_STRMSG          -22
#define VCG_COMPUTEKEY      -23
#define VCG_VERIFYKEY       -24
#define VCG_INVDELEGATE     -25
#define VCG_LCCHECKOUT      -26
#define VCG_LCGETCONFIG     -27
#define VCG_LCINIT          -28
#define VCG_MCVAL           -29
#define VCG_MDEC            -30
#define VCG_MGETATTR        -31
#define VCG_MINC            -32
#define VCG_MINIT           -33
#define VCG_MSETATTR        -34
#define VCG_MSETSEED        -35
#define VCG_MSETVIRT        -36
#define VCG_MUPDATE         -37
#define VCG_INVCHECKSUM     -38
#define VCG_TOOLONG         -39
#define VCG_WRONGVERSION    -40
#define VCG_TOOSOON	    -41
#define VCG_TOOLATE	    -42
#define VCG_NOTMASTER	    -43
#define VCG_LCVENDORDEF	    -44
#define VCG_EXPIRATION_SPECIFIED	-45
#define VCG_OPTARGS_SYNTAX  		-46
#define VCG_OPTSTRING_SYNTAX		-47
#define VCG_MISSING_KEYWORD		-48
#define VCG_LCCRYPTSTR			-49
#define VCG_BADWILDCARD			-50
#define VCG_NOLOCALHOST			-51
#define VCG_INVSEEDS			-52
#define VCG_COUNT_ERROR         -53 
#define VCG_MIN_ERROR			-54
/*
 * Error codes after this have no corresponding entry in vcg_error.c
 */
#define VCG_GENERATOR_OK    	    	-251
#define VCG_ADD_SERVER_AND_CRYPT	-251
#define VCG_CODE_ONLY       		-252
#define VCG_WHOLE_CERTIFICATE 		-253
#define VCG_METERINOP	    		-254
#define VCG_ERRNO           		-65535

#endif	/* _VCG_ERROR_H_ */
