/**************************************************************************************************
 * NOTICE OF COPYRIGHT AND OWNERSHIP OF SOFTWARE:
 *
 * Copyright (c) 1997-2014 Flexera Software LLC.  All Rights Reserved.
 *
 * This computer program is the property of Flexera Software LLC of 
 * Schaumburg, Illinois, U.S.A.  Any use, copy, publication, distribution, display, modification, or
 * transmission of this computer program in whole or in part in any form or by any means without
 * the prior express written permission of Flexera Software LLC is
 * strictly prohibited.
 * 
 * Except when expressly provided by Flexera Software LLC in writing,
 * possession of this computer program shall not be construed to confer any license or rights under
 * any of Flexera Software LLC's intellectual property rights, whether by
 * estoppel, implication, or otherwise.
 * 
 * ALL COPIES OF THIS PROGRAM MUST DISPLAY THIS NOTICE OF COPYRIGHT AND OWNERSHIP IN FULL.
 **************************************************************************************************/
/*

 *
 *	Description: 	header file required by lm_code.h
 *			Used for TRL (Tamper Resistant Licenses)
 */
#ifndef LM_TRL_H
#define LM_TRL_H

#define LM_STRENGTH_LICENSE_KEY	0
#define LM_STRENGTH_DEFAULT	1
#define LM_STRENGTH_113BIT	2
#define LM_STRENGTH_163BIT	3
#define LM_STRENGTH_239BIT	4
#define LM_STRENGTH_PUBKEY	LM_STRENGTH_113BIT
#define LM_STRENGTH_VERYHIGH	LM_STRENGTH_239BIT
				/* >= PUBKEY uses Public-Key */

/*
 *	Values for LM_SIGN_LEVEL
 */
#define LM_SIGN2 	2  /* SIGN2= */
#define LM_SIGN	 	1  /* SIGN= the default */
#define LM_NO_SIGN	 0  /* license key */
#endif /* LM_TRL_H */
